USE [eXtendedLogging]
GO

/****** Object:  Table [dbo].[eXtended_Logging_LOG]    Script Date: 06/17/2013 16:03:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[eXtended_Logging_LOG](
	[LogID] [uniqueidentifier] NOT NULL,
	[Retention_Duration_In_Month] [INT] NOT NULL,
	[Log_Name] [nvarchar](200) NULL,
	[Start_DateTime] [datetime] NULL,
	[LastUpdate_DateTime] [datetime] NULL,
	[Log_Description] [nvarchar](max) NULL,
	[Custom_Field_01] [nvarchar](max) NULL,
	[Custom_Field_02] [nvarchar](max) NULL,
 CONSTRAINT [PK_eXtended_Logging_LOG] PRIMARY KEY CLUSTERED 
(
	[LogID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[eXtended_Logging_STEP](
	[StepID] [uniqueidentifier] NOT NULL,
	[LogID] [uniqueidentifier] NOT NULL,
	[Runbook_Name] [nvarchar](200) NULL,
	[Runbook_Server_Name] [nvarchar](200) NULL,
	[Activity_Name] [nvarchar](200) NULL,
	[Activity_Start_DateTime] [datetime] NULL,
	[Activity_End_DateTime] [datetime] NULL,
	[Status] [nvarchar](50) NULL,
	[End_Status_Code] [nvarchar](50) NULL,
	[End_Status_Description] [nvarchar](max) NULL,
	[Custom_Field_01] [nvarchar](max) NULL,
	[Custom_Field_02] [nvarchar](max) NULL,
	[Custom_Field_03] [nvarchar](max) NULL,
	[Custom_Field_04] [nvarchar](max) NULL,
 CONSTRAINT [PK_eXtended_Logging_STEP] PRIMARY KEY CLUSTERED 
(
	[StepID] ASC,
	[LogID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[eXtended_Logging_STEP]  WITH CHECK ADD  CONSTRAINT [FK_eXtended_Logging_STEP_eXtended_Logging_LOG1] FOREIGN KEY([LogID])
REFERENCES [dbo].[eXtended_Logging_LOG] ([LogID])
GO

ALTER TABLE [dbo].[eXtended_Logging_STEP] CHECK CONSTRAINT [FK_eXtended_Logging_STEP_eXtended_Logging_LOG1]
GO